package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerLog;

import java.util.List;

public interface AclCustomerLogMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerLog record);

    int insertSelective(AclCustomerLog record);

    AclCustomerLog selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerLog record);

    int updateByPrimaryKey(AclCustomerLog record);

    List<AclCustomerLog> findLogInfoByCustomerId(Long customerId);

    Long findLogInfoByMobileNo(String mobileNo);
}
